//  区域报告
import request from "@/utils/request";
// 生成报告
export function getAreaReport(data) {
    return request({
        url: "/event-boot/report/getAreaReport",
        method: "post",
        data,
        responseType: "blob",
    });
}
// 事件报告
export function getEventReport(data) {
    return request({
        url: "/event-boot/report/getEventReport",
        method: "post",
        data,
    });
}
// 事件报告
export function getPmsAreaReport(data) {
    return request({
        url: "/event-boot/report/getPmsAreaReport",
        method: "post",
        data,
        responseType: "blob",
    });
}
//查询所有模板
export function getList(data) {
    return request({
        url: "/system-boot/EventTemplate/getList",
        method: "post",
        data,
    });
}

export function selectReleation(data) {
    return request({
        url: "/system-boot/EventTemplate/selectReleation",
        method: "post",
        params:data
    });
}